/* 
 * WTN*Google Maps Template
 * @author Tenderfeel
 * @ver 1.2
 * @HOME http://tenderfeel.xsrv.jp/
 * 
 * @Need:Google Ajax Loader
 * 
 * 
 * ---MIT License--------------------------------------------
 * Copyright (c) 2008 Tenderfeel all rights reserved.
 * ----------------------------------------------------------
*/
var gmConfig = {
	"gmLat":35.6585873,  //GLat
	"gmLng":139.7454247, //GLng
	"gmDivID":"gmap",    //地図を表示する要素のID
	"gmScope":18,        //拡大率
	"markerAdd":true,  //マーカーの表示
	"SMap_Controler3D":false, //小さい3Dコントローラ
	"LMap_Controler3D":true, //大きい3Dコントローラ
	"SMap_Controler":false, //小さいコントローラ
	"LMap_Controler":true, //大きいコントローラ
	"SmallZoomControl":false,//ズームコントローラ
	"NavLabelControl":true,//ナビゲーションレベルコントローラ
	"Type3_Controler":true, //地図タイプ切り替え（３種）
	"Type2_Controler":false, //地図タイプ切り替え（2種）
	"Scale_Controler":true, //スケール
	"OV_Controler":false, //右下の縮小地図
	"WheelZoom":false, //ホイールでのズーム操作
	"DClickZoom":true, //ダブルクリックでのズーム操作
	"windowHTML":"<em>Hellow</em><br />何かコメントを入れてください"//情報ウィンドウのHTML
}

google.load("maps", "2",{"callback" : mapsLoaded,"language" : "ja"});

function mapsLoaded() {
if (google.maps.BrowserIsCompatible()) {
var map = new google.maps.Map2(document.getElementById(gmConfig.gmDivID));
var point = new google.maps.LatLng(gmConfig.gmLat,gmConfig.gmLng);
var marker = new google.maps.Marker(point);
if(gmConfig.SMap_Controler3D){map.addControl(new google.maps.SmallMapControl3D());}
if(gmConfig.LMap_Controler3D){map.addControl(new google.maps.LargeMapControl3D());}
if(gmConfig.SMap_Controler){map.addControl(new google.maps.SmallMapControl());}
if(gmConfig.LMap_Controler){map.addControl(new google.maps.LargeMapControl());}
if(gmConfig.Type3_Controler){map.addControl(new google.maps.MapTypeControl());}
if(gmConfig.SmallZoomControl){map.addControl(new google.maps.SmallZoomControl3D());}
if(gmConfig.Type2_Controler){map.addControl(new google.maps.HierarchicalMapTypeControl());}
if(gmConfig.Scale_Controler){map.addControl(new google.maps.ScaleControl());}
if(gmConfig.NavLabelControl){map.addControl(new google.maps.NavLabelControl());}
if(gmConfig.OV_Controler){map.addControl(new google.maps.OverviewMapControl());}
if(gmConfig.WheelZoom){map.enableScrollWheelZoom();}
if(gmConfig.DClickZoom){map.enableDoubleClickZoom();}
map.setCenter(point,gmConfig.gmScope);
if(gmConfig.markerAdd){map.addOverlay(marker);}
if(gmConfig.windowHTML != "" && gmConfig.markerAdd){
google.maps.Event.addListener(marker, 'click', function() {marker.openInfoWindow(gmConfig.windowHTML);});}
else if(gmConfig.windowHTML != "" && !gmConfig.markerAdd){map.openInfoWindow(point,gmConfig.windowHTML);}
}
window.onunload=function(){google.maps.Unload();}
}
